Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class EntityFireball

    java.lang.Object
      net.minecraft.src.Entity
          net.minecraft.src.EntityFireball

Direct Known Subclasses:
  EntityLargeFireball, EntitySmallFireball, EntityWitherSkull

    public abstract class EntityFireball

extends Entity

Field Summary
`double` | `accelerationX`
`double` | `accelerationY`
`double` | `accelerationZ`
`EntityLiving` | `shootingEntity`

Fields inherited from class net.minecraft.src.Entity
`addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, cloakUrl, dimension, distanceWalkedModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, field_82151_R, fireResistance, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, skinUrl, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

Constructor Summary
`EntityFireball(World par1World)`
`EntityFireball(World par1World, double par2, double par4, double par6, double par8, double par10, double par12)`
`EntityFireball(World par1World, EntityLiving par2EntityLiving, double par3, double par5, double par7)`

Method Summary
`boolean` | `attackEntityFrom(DamageSource par1DamageSource, int par2)` Called when the entity is attacked.
`boolean` | `canBeCollidedWith()` Returns true if other Entities should be prevented from moving through this Entity.
`float` | `getBrightness(float par1)` Gets how bright this entity is.
`int` | `getBrightnessForRender(float par1)`
`float` | `getCollisionBorderSize()`
`float` | `getShadowSize()`
`boolean` | `isInRangeToRenderDist(double par1)`
`void` | `onUpdate()` Called to update the entity's position/logic.
`void` | `readEntityFromNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to read subclass entity data from NBT.
`void` | `writeEntityToNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to write subclass entity data to NBT.

Methods inherited from class net.minecraft.src.Entity
`addEntityID, addToPlayerScore, addVelocity, applyEntityCollision, canAttackWithItem, canBePushed, copyDataFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, func_70079_am, func_82142_c, func_82143_as, func_82146_a, func_82148_at, func_82149_j, func_82150_aj, func_85029_a, func_85031_j, func_85032_ar, func_90999_ad, generatePersistentID, getAir, getBoundingBox, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityName, getEyeHeight, getLastActiveItems, getLookVec, getMaxInPortalTime, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getTexture, getYOffset, handleHealthUpdate, handleLavaMovement, handleWaterMovement, hashCode, interact, isBurning, isEating, isEntityAlive, isEntityEqual, isEntityInsideOpaqueBlock, isImmuneToFire, isInRangeToRenderVec3D, isInsideOfMaterial, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, onCollideWithPlayer, onEntityUpdate, onKillEntity, onStruckByLightning, performHurtAnimation, readFromNBT, setAir, setAngles, setCurrentItemOrArmor, setDead, setEating, setFire, setHeadRotationYaw, setInPortal, setInWeb, setLocationAndAngles, setPosition, setPositionAndRotation, setPositionAndRotation2, setSneaking, setSprinting, setVelocity, setWorld, shouldRiderSit, toString, travelToDimension, unmountEntity, updateCloak, updateRidden, updateRiderPosition, writeToNBT`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### shootingEntity

    public EntityLiving shootingEntity

### accelerationX

    public double accelerationX

### accelerationY

    public double accelerationY

### accelerationZ

    public double accelerationZ

Constructor Detail

### EntityFireball

    public EntityFireball(World par1World)

### EntityFireball

    public EntityFireball(World par1World,
                          double par2,
                          double par4,
                          double par6,
                          double par8,
                          double par10,
                          double par12)

### EntityFireball

    public EntityFireball(World par1World,
                          EntityLiving par2EntityLiving,
                          double par3,
                          double par5,
                          double par7)

Method Detail

### isInRangeToRenderDist

    public boolean isInRangeToRenderDist(double par1)

  Overrides:
    `isInRangeToRenderDist` in class `Entity`

### onUpdate

    public void onUpdate()

  Called to update the entity's position/logic.

  Overrides:
    `onUpdate` in class `Entity`

### writeEntityToNBT

    public void writeEntityToNBT(NBTTagCompound par1NBTTagCompound)

  (abstract) Protected helper method to write subclass entity data to NBT.

### readEntityFromNBT

    public void readEntityFromNBT(NBTTagCompound par1NBTTagCompound)

  (abstract) Protected helper method to read subclass entity data from NBT.

### canBeCollidedWith

    public boolean canBeCollidedWith()

  Returns true if other Entities should be prevented from moving through this Entity.

  Overrides:
    `canBeCollidedWith` in class `Entity`

### getCollisionBorderSize

    public float getCollisionBorderSize()

  Overrides:
    `getCollisionBorderSize` in class `Entity`

### attackEntityFrom

    public boolean attackEntityFrom(DamageSource par1DamageSource,
                                    int par2)

  Called when the entity is attacked.

  Overrides:
    `attackEntityFrom` in class `Entity`

### getShadowSize

    public float getShadowSize()

  Overrides:
    `getShadowSize` in class `Entity`

### getBrightness

    public float getBrightness(float par1)

  Gets how bright this entity is.

  Overrides:
    `getBrightness` in class `Entity`

### getBrightnessForRender

    public int getBrightnessForRender(float par1)

  Overrides:
    `getBrightnessForRender` in class `Entity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD